Name: bctoolbox
Version: 5.2.45
Release: 1%{?dist}
Summary: Utility library for software from Belledonne Communications and others
License: GPL-3.0-or-later AND GPL-2.0-or-later
URL: https://gitlab.linphone.org/BC/public/bctoolbox/

Source0: https://gitlab.linphone.org/BC/public/bctoolbox/-/archive/%{version}/%{name}-%{version}.tar.bz2

Patch3001: 3001_bctoolbox_set_current_version.patch
Patch3002: 3002_bctoolbox_change_cmake_files_default_install_location.patch

BuildRequires: cmake >= 3.2
BuildRequires: gcc-c++
BuildRequires: mbedtls-devel
BuildRequires: pkgconfig(bcunit)
BuildRequires: pkgconfig(ncurses)

%description
bctoolbox utilities library for software from Belledonne Communications and
others.

This package contains the bctoolbox shared library.

%package devel
Summary: Development files for bctoolbox utility library
Requires: %{name} = %{version}-%{release}
Requires: %{name}-tester = %{version}-%{release}

%description devel
bctoolbox utilities library for software from Belledonne Communications and
others.

This package contains the libraries, headers and other files required to develop
software with bctoolbox.

%package tester
Summary: Testing binary, library and files for bctoolbox utility library
Requires: %{name} = %{version}-%{release}

%description tester
bctoolbox utilities library for software from Belledonne Communications and
others.

This package contains the bctoolbox testing binary and shared library for
the testing component.

%prep
%autosetup -p1

%build
%set_build_flags
CFLAGS="$CFLAGS -Wno-error=unused-parameter -Wunused-parameter"
CXXFLAGS="$CXXFLAGS -Wno-error=unused-parameter -Wunused-parameter"

%cmake \
  -DENABLE_DECAF=OFF \
  -DENABLE_POLARSSL=OFF \
  -DCMAKE_SKIP_INSTALL_RPATH=ON \
  -DENABLE_SHARED=ON \
  -DENABLE_MBEDTLS=ON \
  -DENABLE_PACKAGE_SOURCE=OFF \
  -DENABLE_DEFAULT_LOG_HANDLER=ON \
  -DENABLE_STATIC=OFF \
  -DENABLE_TESTS_COMPONENT=ON \
  -DENABLE_TESTS=ON
%cmake_build

%install
%cmake_install

%files
%license LICENSE.txt
%{_libdir}/libbctoolbox.so.1*

%files tester
%{_bindir}/bctoolbox_tester
%{_libdir}/libbctoolbox-tester.so.1*

%files devel
%doc CHANGELOG.md README.md
%{_includedir}/bctoolbox/
%{_libdir}/cmake/bctoolbox/
%{_libdir}/pkgconfig/bctoolbox.pc
%{_libdir}/libbctoolbox.so
%{_libdir}/pkgconfig/bctoolbox-tester.pc
%{_libdir}/libbctoolbox-tester.so

%changelog
* Mon Jul 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.45-1
- initial build
